/*
 * gps_parser.h
 *
 *  Created on: Dec 15, 2023
 *      Author: user
 */

#ifndef INC_GPS_PARSER_H_
#define INC_GPS_PARSER_H_

#include "main.h"

#define GpsRxBuf_SIZE 512

void StartReadingGps(void);
uint8_t ParseGpsData(float* latitude, float* longitude);
float ConvertDDMMdotMMMM2DDdotDDDDDD(float gprmc_number);

#endif /* INC_GPS_PARSER_H_ */
